Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:28 2009

## Asterisk developer's documentation

# ast_channel_spy Struct Reference

`#include <chanspy.h>`

Collaboration diagram for ast_channel_spy:

[legend]

## Public Member Functions

| AST_LIST_ENTRY (ast_channel_spy) list

## Data Fields

struct ast_channel * | chan
unsigned int | flags
ast_mutex_t | lock
struct ast_channel_spy_queue | read_queue
int | read_vol_adjustment
enum chanspy_states | status
ast_cond_t | trigger
const char * | type
struct ast_channel_spy_queue | write_queue
int | write_vol_adjustment

## Detailed Description

Definition at line 57 of file chanspy.h.

## Member Function Documentation

AST_LIST_ENTRY | ( | ast_channel_spy |  | ) |

## Field Documentation

struct ast_channel* chan`[read]`

Definition at line 61 of file chanspy.h.

Referenced by ast_channel_spy_add(), ast_do_masquerade(), channel_spy(), mixmonitor_thread(), and spy_detach().

unsigned int flags

Definition at line 64 of file chanspy.h.

ast_mutex_t lock

Definition at line 59 of file chanspy.h.

Referenced by ast_channel_spy_free(), ast_channel_spy_trigger_wait(), ast_do_masquerade(), channel_spy(), launch_monitor_thread(), mixmonitor_thread(), queue_frame_to_spies(), spy_detach(), and spy_generate().

struct ast_channel_spy_queue read_queue`[read]`

Definition at line 62 of file chanspy.h.

Referenced by ast_channel_spy_add(), ast_channel_spy_free(), ast_channel_spy_read_frame(), channel_spy(), launch_monitor_thread(), and queue_frame_to_spies().

int read_vol_adjustment

Definition at line 71 of file chanspy.h.

Referenced by ast_channel_spy_read_frame(), channel_spy(), and launch_monitor_thread().

enum chanspy_states status

Definition at line 65 of file chanspy.h.

Referenced by ast_channel_spy_free(), ast_channel_spy_stop_by_type(), channel_spy(), launch_monitor_thread(), mixmonitor_thread(), queue_frame_to_spies(), spy_detach(), and spy_generate().

ast_cond_t trigger

Definition at line 60 of file chanspy.h.

Referenced by ast_channel_spy_add(), ast_channel_spy_free(), ast_channel_spy_trigger_wait(), queue_frame_to_spies(), and spy_detach().

const char* type

Definition at line 66 of file chanspy.h.

Referenced by ast_channel_spy_add(), ast_channel_spy_stop_by_type(), channel_spy(), launch_monitor_thread(), queue_frame_to_spies(), and spy_detach().

struct ast_channel_spy_queue write_queue`[read]`

Definition at line 63 of file chanspy.h.

Referenced by ast_channel_spy_add(), ast_channel_spy_free(), ast_channel_spy_read_frame(), channel_spy(), launch_monitor_thread(), and queue_frame_to_spies().

int write_vol_adjustment

Definition at line 72 of file chanspy.h.

Referenced by ast_channel_spy_read_frame(), channel_spy(), and launch_monitor_thread().

The documentation for this struct was generated from the following file:

- chanspy.h